DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# LaplacePlusDgg

Second order derivative filter

## SYNOPSIS

`#include "dip_derivatives.h"`

dip_Error dip_LaplacePlusDgg ( in, out, boundary, ps, sigmas, tc, flavour )

## DATA TYPES

Depends on the underlying implementation, but expect:

binary, integer, float

## FUNCTION

Computes the laplace and the second derivative in gradient direction of an image using the `Derivative` function and adds the results. The zero-crossings of the result correspond to the edges in the image, just as for the individual Laplace and Dgg operators. The localization is improved by an order of magnitude with respect to the individual operators.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_BooleanArray` | `ps` | Dimensions to process
`dip_FloatArray` | `sigmas` | Sigma of Gaussian
`dip_float` | `tc` | Truncation of Gaussian, see `GlobalGaussianTruncationGet`
`dip_DerivativeFlavour` | `flavour` | Derivative flavour

The enumerator `flavour` parameter is one of:

Name | Description
`DIP_DF_DEFAULT` | Default derivative flavour (==`DIP_DF_FIRGAUSS`)
`DIP_DF_FIRGAUSS` | Gaussian family, FIR implementation, `Gauss`
`DIP_DF_IIRGAUSS` | Gaussian family, IIR implementation, `GaussIIR`
`DIP_DF_FTGAUSS` | Gaussian family, FT implementation, `GaussFT`
`DIP_DF_FINITEDIFF` | Finite difference implementation, `FiniteDifferenceEx`

## LITERATURE

Lucas J. van Vliet, "Grey-Scale Measurements in Multi-Dimensional Digitized Images", Delft University of Technology, 1993

P.W. Verbeek and L.J. van Vliet, "On the location error of curved edges in low-pass filtered 2-D and 3-D images", IEEE Transactions on Pattern Analysis and Machine Intelligence, vol. 16, no. 7, 1994, 726-733.

## SEE ALSO

`Derivative`, `GradientMagnitude`, `GradientDirection2D`, `Laplace`, `Dgg`, `LaplaceMinDgg`